Remotehost Docs

List a project's repositories

GET
/orgs/{orgId}/projects/{projectId}/repos

Authorization

bearerAuth
AuthorizationBearer <token>

A RemoteHost API key (rh_sk_...) or a user session token.

In: header

Path Parameters

orgId*string
projectId*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/orgs/string/projects/string/repos"
{  "repos": [    {      "id": "string",      "org_id": "string",      "project_id": "string",      "name": "string",      "clone_url": "string",      "default_branch": "string",      "auth_method": "ssh_deploy_key",      "ssh_public_key": "string",      "git_installation_id": "string",      "external_repo_id": "string",      "created_by": "string",      "created_at": "string",      "updated_at": "string"    }  ]}